#293 Lua 5.2 support patch

closed-fixed
nobody
None
5
2012-04-13
2012-01-27
Anonymous
No

This patch adds Lua 5.2 support to Swig 2.0.4.

Tested on lua bindings in GraphViz.

Discussion


  • Anonymous
    2012-01-27

    Swig 2.0.4 Lua 5.2 patch

     

  • Anonymous
    2012-03-22

    Hi,

    Is there a reason this patch hasn't been applied?

    I looked at the patch. It seems to be correct, very simple, and maintains compatibility with Lua 5.1.

    [I don't have a SWIG built from sources to test it with, but I applied the same changes by hand to the output of SWIG, and the result works fine with both Lua 5.1 and Lua 5.2]

     
  • William Fulton
    William Fulton
    2012-04-13

    • status: open --> closed-fixed
     
  • William Fulton
    William Fulton
    2012-04-13

    The same changes were applied for swig-2.0.5. Duplicate of 3514593.